/*DEVWEB*/
/*15/10/2024 created*/
/*15/10/2024 last updated*/


/*Google font*/
/*Font family*/
@font-face {
  font-family: 'DancingScript';
  src: url('DancingScript-VariableFont_wght.ttf') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'LibreBaskerville';
  src: url('LibreBaskerville-Bold.ttf') format('woff');
  font-weight: normal;
  font-style: normal;
}


/*---------------------------------------------------------------------------------------------------------*/
html, body {
  height: 100%;
  padding: 0;
  margin: 0;
}

html{
  justify-content: center;
  display: flex;
  align-items: center;
  background-color: #ceb0b0a4;
  background-image: url(images/pexels-ethan-brooke-1123775-3142002.jpg);
  background-attachment: fixed;
  background-size: cover;
  
}

/*toutes les pages*/
body{
  margin: 0%;
  width: 1280px;
  display: flex;
  flex-direction: column;
  height: 100%;
}


/*---------------------------------------------------------------------------------------------------------*/
/********************/
/****Menu****/
/********************/

/*Image arrière pour le titre Belge en Corée*/
.menu{
  background-image: url(images/AccueilTitle.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 100% 20%;
  padding-bottom: 30px;
  margin-bottom: 30px;
  border-radius: 0px 0px 25px 25px;
  position: relative;
}

/* box Titre de l'accueil Belges en Corée*/
.accueil header{
  padding-top: 20px;
  width: 700px;
  margin-left: 5%;
}

/*Titre de l'accueil Belges en Corée*/
.accueil h1{
  font-family: "Dancing Script", Tahoma, cursive;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 75px;
  color: #0f64cde7;
  /*text-decoration: underline;*/
  padding: 20px 0px 10px 25px ;
  margin: auto;
  text-shadow: 5px 5px 5px #6794d86c,
  2px 4px 3px #9c9c9cc4;
  /*background du titre*/
  background-color: #ffffff7c;
  border-radius: 35px 35px 0px 0px;
  box-shadow: -2px -2px 3px #0000009d;
}

/*Navigations/menu*/
nav{
  width: 90%;
  background-color: #ffffff7c;
  box-shadow: 10px 10px 10px #0000009d;
  border-radius: 0px 35px 35px 35px;
  padding: 10px 0px 10px 0px;
  margin: auto;
}

.menu ul{
  margin: auto;
  padding-left: 20px;
}

/*permet d'avoir le menu en horizontal*/
.menu li{
  display: inline;
  margin: 5px 20px 5px 10px;
}

/*style des liens du menu*/
nav a{
  font-family: "Dancing Script", Tahoma, cursive;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  text-decoration: none;
  color: #000000;
  text-shadow: 3px 3px 10px #ffffff88,
  1px 2px 2px #000000;
  font-size: 35px;
}

nav a:hover{
  text-decoration: underline;
  color: #fff;
  transition: 0.5s;
}

/*---------------------------------------------------------------------------------------------------------*/
/********************/
/****Page Accueil****/
/********************/
main{
  padding-top: 10px;
  padding-bottom: 30px;
  
}

/*Box contenent la présentation de mon site et de son utilitée*/
.bienvenue{
  padding: 10px;
  background-color: #191A1C;
  border-radius: 20px;
  border: 1px solid #fff;
  width: 75%;
  margin: auto;
  margin-bottom: 30px;
  color: #fff;
  text-shadow: 1px 1px 1px #525252;
}

.bienvenue h2{
  font-family: "LibreBaskerville", normal;
  font-weight: 700;
  font-style: bold;
  margin-left: 10px;
  text-decoration: underline;
}

.bienvenue p{
  font-family: "LibreBaskerville", normal;
  font-weight: 500;
  font-size: 20px;
  margin: 5px 10px 5px 10px;
  padding-bottom: 2px;
}

.bienvenue a{
  color: #ffffff;
  text-decoration: none;
  text-decoration: underline;
}

.bienvenue a:hover{
  color: #000000;
  background-color: #fff;
  border-radius: 5px;
  transition: 0.5s;
}

/***********/
/*Slideshow*/
/***********/
*{box-sizing: border-box;}
body {font-family: Verdana, sans-serif;}
.mySlides {display: none;}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
  border: 5px solid #ffffff;
  border-radius: 10px;
  box-shadow: 5px 5px 10px #000000;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 20px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
  text-shadow: 2px 2px 1px #000000;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  text-shadow: 2px 2px 1px #000000;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

/*make some space with the bottom*/
.dots{
  padding-bottom: 20px;
}

.active {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {font-size: 11px}
}

/*---------------------------------------------------------------------------------------------------------*/
/******************/
/*Page Application*/
/******************/
/*Box contenent les applications à utiliser*/
.app{
  padding: 10px;
  background-color: #191A1C;
  border-radius: 20px;
  width: 75%;
  margin: auto;
  margin-bottom: 20px;
  box-shadow: 5px 5px 10px #000000;
  color: #fff;
  border: 2px solid #00000000;
}

.app:hover{
  transition: 2s;
  border: 2px solid #fff;
}

.app h2{
  font-family: "LibreBaskerville", normal;
  font-weight: 700;
  margin-left: 10px;
  letter-spacing: -1px;
  font-size: 30px;
}

.app h3{
  font-family: "LibreBaskerville", normal;
  font-weight: 700;
  font-size: 25px;
  margin-left: 10px;
  letter-spacing: -1px;
}

.app p{
  font-family: "LibreBaskerville", normal;
  font-weight: 500;
  font-size: 20px;
  margin: 5px 10px 5px 10px;
}

.seoul a{
  color: #ffffff;
  text-decoration: none;
  text-decoration: underline;
}

.app a:hover{
  color: #000000;
  background-color: #fff;
}


/*---------------------------------------------------------------------------------------------------------*/
/******************/
/*Page Seoul*/
/******************/
.seoulacc{
  padding: 10px;
  background-color: #191A1C;
  border-radius: 20px;
  width: 75%;
  margin: auto;
  margin-bottom: 20px;
  box-shadow: 5px 5px 10px #000000;
  color: #fff;
  border: 2px solid #00000000;
  border: 2px solid #fff;
}

.seoul{
  padding: 10px;
  background-color: #000000e8;
  border-radius: 20px;
  width: 75%;
  margin: auto;
  margin-bottom: 20px;
  box-shadow: 3px 5px 10px #000000;
  color: #fff;
  text-shadow: 3px 3px 1px #000000, 2px 2px 1px #000000;
  border: 2px solid #fff;
}

/*Title of the location*/
.seoul h3{
  font-size: 30px;
  text-align: center;
}

/*Titre informations*/
.seoul h4{
  font-size: 25px;
  margin: auto;
  padding-left: 10px;
}

.seoul li{
  font-size: 20px;
}

/*Liens de toute la page Séoul*/
.seoul a{
  color: #ffffff;
  text-decoration: none;
  text-decoration: underline;
}

.seoul a:hover{
  color: #000000;
  background-color: #fff;
}

/*Lien de la page Séoul, la première box*/
.seoulacc a{
  color: #ffffff;
  text-decoration: none;
  text-decoration: underline;
}

.seoulacc a:hover{
  color: #000000;
  background-color: #fff;
}



/*Background of every section*/
/*Le palais Gyeongbokgung 경복궁, 景福宮*/
.gyen{
  background-image: url(images/minsun-kim-4BdMGBvOXZk-unsplash.jpg);
  background-size: cover;
  background-position: 75% 80%;
}

/*La rivière Cheonggyecheon 청계천*/
.cheon{
  background: url('images/20240429_160559.jpg'), #000000;
  background-size: cover;
}

/*Le village hanok de Bukchon 북촌 한옥마을*/
.hanok{
  background-image: url(images/hanok.jpg);
  background-size: cover;
  background-position: 75% 40%;
}

/*Le musée national de Corée*/
.natio{
  background-image: url(images/20240515_163924.jpg);
  background-size: cover;
  background-position: center;
}

/*effect zoom*/
.seoul:hover{
  transform: scale(1.2);
  transition-duration: 1s;
}

/*---------------------------------------------------------------------------------------------------------*/
/************/
/*Restaurant*/
/************/
.rest{
  padding: 10px;
  background-color: #191A1C;
  border-radius: 20px;
  width: 75%;
  margin: auto;
  margin-bottom: 20px;
  box-shadow: 5px 5px 10px #000000;
  color: #fff;
  border: 2px solid #00000000;
}



/*---------------------------------------------------------------------------------------------------------*/
/********/
/*Footer*/
/********/
footer{
  margin-top: auto;
  background-color: #ffffffad;
  color: white;
  padding: 15px;
  border-radius: 25px 25px 0px 0px;
}

footer a{
  color: #000000;
  text-decoration: none;
}

footer a:hover{
  color: #ffffff;
  text-decoration: none;
  text-shadow: 2px 2px 5px #000000;
}